Debian Bug report logs - #670875
RFP: logsurfer -- Monitoring system logs in real-time

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Thilo Uttendorfer <debian@uttendorfer.net>

Date: Sun, 29 Apr 2012 21:09:02 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian@uttendorfer.net, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#670875; Package wnpp. (Sun, 29 Apr 2012 21:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thilo Uttendorfer <debian@uttendorfer.net>:
New Bug report received and forwarded. Copy sent to debian@uttendorfer.net, debian-devel@lists.debian.org, wnpp@debian.org. (Sun, 29 Apr 2012 21:09:21 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Thilo Uttendorfer <debian@uttendorfer.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: logsurfer -- Monitoring system logs in real-time
Date: Sun, 29 Apr 2012 23:06:35 +0200
Package: wnpp
Severity: wishlist
Owner: Thilo Uttendorfer <debian@uttendorfer.net>

* Package name    : logsurfer
  Version         : 1.8
  Upstream Author : Kerry Thompson <kerry@crypt.gen.nz>
* URL             : http://www.crypt.gen.nz/logsurfer/
* License         : BSD
  Programming Lang: C
  Description     : Monitoring system logs in real-time

Logsurfer is a program for monitoring system logs in real-time, and reporting
on the occurrence of events.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Thilo Uttendorfer <debian@uttendorfer.net>:
Bug#670875; Package wnpp. (Mon, 30 Apr 2012 09:24:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to martin f krafft <madduck@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Thilo Uttendorfer <debian@uttendorfer.net>. (Mon, 30 Apr 2012 09:24:03 GMT) Full text and rfc822 format available.

Message #10 received at 670875@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: Thilo Uttendorfer <debian@uttendorfer.net>, 670875@bugs.debian.org
Subject: Re: Bug#670875: ITP: logsurfer -- Monitoring system logs in real-time
Date: Mon, 30 Apr 2012 11:21:31 +0200
[Message part 1 (text/plain, inline)]
also sprach Thilo Uttendorfer <debian@uttendorfer.net> [2012.04.29.2306 +0200]:
> * Package name    : logsurfer
>   Version         : 1.8
>   Upstream Author : Kerry Thompson <kerry@crypt.gen.nz>
> * URL             : http://www.crypt.gen.nz/logsurfer/
> * License         : BSD
>   Programming Lang: C
>   Description     : Monitoring system logs in real-time
> 
> Logsurfer is a program for monitoring system logs in real-time, and reporting
> on the occurrence of events.

Is this a logcheck replacement?

-- 
 .''`.   martin f. krafft <madduck@d.o>      Related projects:
: :'  :  proud Debian developer               http://debiansystem.info
`. `'`   http://people.debian.org/~madduck    http://vcs-pkg.org
  `-  Debian - when you have better things to do than fixing systems
[digital_signature_gpg.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#670875; Package wnpp. (Mon, 30 Apr 2012 13:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thilo Uttendorfer <debian@uttendorfer.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 30 Apr 2012 13:27:05 GMT) Full text and rfc822 format available.

Message #15 received at 670875@bugs.debian.org (full text, mbox):

From: Thilo Uttendorfer <debian@uttendorfer.net>
To: martin f krafft <madduck@debian.org>, 670875@bugs.debian.org
Subject: Re: Bug#670875: ITP: logsurfer -- Monitoring system logs in real-time
Date: Mon, 30 Apr 2012 15:13:31 +0200
Am 30.04.2012 um 11:21 schrieb martin f krafft:
> also sprach Thilo Uttendorfer <debian@uttendorfer.net> [2012.04.29.2306 +0200]:
>> * Package name    : logsurfer
>>  Version         : 1.8
>>  Upstream Author : Kerry Thompson <kerry@crypt.gen.nz>
>> * URL             : http://www.crypt.gen.nz/logsurfer/
>> * License         : BSD
>>  Programming Lang: C
>>  Description     : Monitoring system logs in real-time
>> 
>> Logsurfer is a program for monitoring system logs in real-time, and reporting
>> on the occurrence of events.
> 
> Is this a logcheck replacement?

Although it probably could replace logcheck, I would not recommend it to
use it that way because the syntax is much more complex.

But it has some advantages compared to logcheck:
 - monitoring of log files in real-time
 - grouping of related log entries ("contexts")
 - trigger any action, executing programs with the current context
   (of course the most common case is sending mail)

Thilo



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Thilo Uttendorfer <debian@uttendorfer.net>:
Bug#670875; Package wnpp. (Tue, 01 May 2012 04:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <carnil@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Thilo Uttendorfer <debian@uttendorfer.net>. (Tue, 01 May 2012 04:45:03 GMT) Full text and rfc822 format available.

Message #20 received at 670875@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: Thilo Uttendorfer <debian@uttendorfer.net>, 670875@bugs.debian.org
Cc: martin f krafft <madduck@debian.org>
Subject: Re: Bug#670875: ITP: logsurfer -- Monitoring system logs in real-time
Date: Tue, 1 May 2012 06:42:39 +0200
[Message part 1 (text/plain, inline)]
Hi

On Mon, Apr 30, 2012 at 03:13:31PM +0200, Thilo Uttendorfer wrote:
> Am 30.04.2012 um 11:21 schrieb martin f krafft:
> > also sprach Thilo Uttendorfer <debian@uttendorfer.net> [2012.04.29.2306 +0200]:
> >> * Package name    : logsurfer
> >>  Version         : 1.8
> >>  Upstream Author : Kerry Thompson <kerry@crypt.gen.nz>
> >> * URL             : http://www.crypt.gen.nz/logsurfer/
> >> * License         : BSD
> >>  Programming Lang: C
> >>  Description     : Monitoring system logs in real-time
> >> 
> >> Logsurfer is a program for monitoring system logs in real-time, and reporting
> >> on the occurrence of events.
> > 
> > Is this a logcheck replacement?
> 
> Although it probably could replace logcheck, I would not recommend it to
> use it that way because the syntax is much more complex.
> 
> But it has some advantages compared to logcheck:
>  - monitoring of log files in real-time
>  - grouping of related log entries ("contexts")
>  - trigger any action, executing programs with the current context
>    (of course the most common case is sending mail)

This is great to see. I was to ITP this too this, or at least ask for
RFP, after reading an article in logsurfer.

From webpage furthermore: It is similar to 'swatch', which is already
in the archive.

Thilo, do you know what logsurfer has as features in advance to
swatch?

Regards,
Salvatore
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#670875; Package wnpp. (Tue, 01 May 2012 11:51:23 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thilo Uttendorfer <debian@uttendorfer.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 01 May 2012 11:51:33 GMT) Full text and rfc822 format available.

Message #25 received at 670875@bugs.debian.org (full text, mbox):

From: Thilo Uttendorfer <debian@uttendorfer.net>
To: Salvatore Bonaccorso <carnil@debian.org>, 670875@bugs.debian.org
Cc: martin f krafft <madduck@debian.org>
Subject: Re: Bug#670875: ITP: logsurfer -- Monitoring system logs in real-time
Date: Tue, 1 May 2012 13:48:34 +0200
Am 01.05.2012 um 06:42 schrieb Salvatore Bonaccorso:
> On Mon, Apr 30, 2012 at 03:13:31PM +0200, Thilo Uttendorfer wrote:
>> Am 30.04.2012 um 11:21 schrieb martin f krafft:
>>> also sprach Thilo Uttendorfer <debian@uttendorfer.net> [2012.04.29.2306 +0200]:
>>>> * Package name    : logsurfer
>>>> Version         : 1.8
>>>> Upstream Author : Kerry Thompson <kerry@crypt.gen.nz>
>>>> * URL             : http://www.crypt.gen.nz/logsurfer/
>>>> * License         : BSD
>>>> Programming Lang: C
>>>> Description     : Monitoring system logs in real-time
>>>> 
>>>> Logsurfer is a program for monitoring system logs in real-time, and reporting
>>>> on the occurrence of events.
>>> 
>>> Is this a logcheck replacement?
>> 
>> Although it probably could replace logcheck, I would not recommend it to
>> use it that way because the syntax is much more complex.
>> 
>> But it has some advantages compared to logcheck:
>> - monitoring of log files in real-time
>> - grouping of related log entries ("contexts")
>> - trigger any action, executing programs with the current context
>>   (of course the most common case is sending mail)
> 
> This is great to see. I was to ITP this too this, or at least ask for
> RFP, after reading an article in logsurfer.
> 
> From webpage furthermore: It is similar to 'swatch', which is already
> in the archive.
> 
> Thilo, do you know what logsurfer has as features in advance to
> swatch?

I never used swatch, but I suppose the "context"-feature is exclusive to
logsurfer. In addition it is written in C and the author thinks it is much more
efficient then swatch which is written in Perl.

By the way, the package is on mentors.debian.net:
http://mentors.debian.net/package/logsurfer

Thilo



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Thilo Uttendorfer <debian@uttendorfer.net>:
Bug#670875; Package wnpp. (Tue, 01 May 2012 12:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to martin f krafft <madduck@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Thilo Uttendorfer <debian@uttendorfer.net>. (Tue, 01 May 2012 12:00:09 GMT) Full text and rfc822 format available.

Message #30 received at 670875@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: Thilo Uttendorfer <debian@uttendorfer.net>
Cc: 670875@bugs.debian.org
Subject: Re: Bug#670875: ITP: logsurfer -- Monitoring system logs in real-time
Date: Tue, 1 May 2012 13:57:24 +0200
[Message part 1 (text/plain, inline)]
also sprach Thilo Uttendorfer <debian@uttendorfer.net> [2012.04.30.1513 +0200]:
> Although it probably could replace logcheck, I would not recommend
> it to use it that way because the syntax is much more complex.

I don't quite understand. Are you telling me that I will not be able
to properly configure logsurfer (even if it is more complex) and
then purge logcheck and have at least the same service available?

Can logsurfer only execute an action when a filter (?) matches? The
nice thing about logcheck was that it always fired except if an
exception matched, which is the proper way to do it!

-- 
 .''`.   martin f. krafft <madduck@d.o>      Related projects:
: :'  :  proud Debian developer               http://debiansystem.info
`. `'`   http://people.debian.org/~madduck    http://vcs-pkg.org
  `-  Debian - when you have better things to do than fixing systems
 
"gott ist tot! und wir haben ihn getötet."
                                                 - friedrich nietzsche
[digital_signature_gpg.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#670875; Package wnpp. (Tue, 01 May 2012 12:33:39 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thilo Uttendorfer <debian@uttendorfer.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 01 May 2012 12:33:45 GMT) Full text and rfc822 format available.

Message #35 received at 670875@bugs.debian.org (full text, mbox):

From: Thilo Uttendorfer <debian@uttendorfer.net>
To: martin f krafft <madduck@debian.org>, 670875@bugs.debian.org
Subject: Re: Bug#670875: ITP: logsurfer -- Monitoring system logs in real-time
Date: Tue, 1 May 2012 14:29:06 +0200
Am 01.05.2012 um 13:57 schrieb martin f krafft:
> also sprach Thilo Uttendorfer <debian@uttendorfer.net> [2012.04.30.1513 +0200]:
>> Although it probably could replace logcheck, I would not recommend
>> it to use it that way because the syntax is much more complex.
> 
> I don't quite understand. Are you telling me that I will not be able
> to properly configure logsurfer (even if it is more complex) and
> then purge logcheck and have at least the same service available?

No, this is a misunderstanding: If you configure logsurfer properly it
can replace logcheck. I just would not use it that way (just my opinion),
because the nice thing with logcheck is that the rules are very simple
and a lot of other packages ship already their own rules for logcheck.

I would use logsurfer as an addition to logcheck for example when I
need more then a single line of a log (the "context" feature in logsurfer) or
if I need react immediately to an event (real-time).

> Can logsurfer only execute an action when a filter (?) matches? The
> nice thing about logcheck was that it always fired except if an
> exception matched, which is the proper way to do it!

You can configure logsurfer that way as well.


Thilo



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Thilo Uttendorfer <debian@uttendorfer.net>:
Bug#670875; Package wnpp. (Tue, 01 May 2012 12:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to martin f krafft <madduck@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Thilo Uttendorfer <debian@uttendorfer.net>. (Tue, 01 May 2012 12:39:05 GMT) Full text and rfc822 format available.

Message #40 received at 670875@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: Thilo Uttendorfer <debian@uttendorfer.net>
Cc: 670875@bugs.debian.org
Subject: Re: Bug#670875: ITP: logsurfer -- Monitoring system logs in real-time
Date: Tue, 1 May 2012 14:35:21 +0200
[Message part 1 (text/plain, inline)]
also sprach Thilo Uttendorfer <debian@uttendorfer.net> [2012.05.01.1429 +0200]:
> No, this is a misunderstanding: If you configure logsurfer properly it
> can replace logcheck. I just would not use it that way (just my opinion),
> because the nice thing with logcheck is that the rules are very simple
> and a lot of other packages ship already their own rules for logcheck.

logcheck is a catastrophe and the rules are not standardised and
thorough mess!

> > Can logsurfer only execute an action when a filter (?) matches? The
> > nice thing about logcheck was that it always fired except if an
> > exception matched, which is the proper way to do it!
> 
> You can configure logsurfer that way as well.

Good! Thanks,

-- 
 .''`.   martin f. krafft <madduck@d.o>      Related projects:
: :'  :  proud Debian developer               http://debiansystem.info
`. `'`   http://people.debian.org/~madduck    http://vcs-pkg.org
  `-  Debian - when you have better things to do than fixing systems
 
"first get your facts; then you can distort them at your leisure."
                                                       -- mark twain
[digital_signature_gpg.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Thilo Uttendorfer <debian@uttendorfer.net>:
Bug#670875; Package wnpp. (Fri, 01 Jun 2012 14:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aron Xu <happyaron.xu@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Thilo Uttendorfer <debian@uttendorfer.net>. (Fri, 01 Jun 2012 14:48:04 GMT) Full text and rfc822 format available.

Message #45 received at 670875@bugs.debian.org (full text, mbox):

From: Aron Xu <happyaron.xu@gmail.com>
To: Thilo Uttendorfer <debian@uttendorfer.net>
Cc: 670875@bugs.debian.org
Subject: About your newly uploaded logsurfer to mentors.d.n
Date: Fri, 1 Jun 2012 22:45:23 +0800
Hi,

I see that you've uploaded 1.8-3 to mentors.d.n, I haven't looked at
the details but here are some suggestions:

1.New package should close your ITP bug in debian/changelog
2.You need to target to unstable, but not UNRELEASED in debian/changelog
3.You don't need to Build-Depends on quilt in most cases.
4.The package hasn't been released in Debian archive, you'd better
reuse the version 1.8-1 before it actually being accepted and
published.

-- 
Regards,
Aron Xu




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#670875; Package wnpp. (Mon, 04 Jun 2012 19:15:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thilo Uttendorfer <debian@uttendorfer.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 04 Jun 2012 19:15:13 GMT) Full text and rfc822 format available.

Message #50 received at 670875@bugs.debian.org (full text, mbox):

From: Thilo Uttendorfer <debian@uttendorfer.net>
To: Aron Xu <happyaron.xu@gmail.com>
Cc: 670875@bugs.debian.org
Subject: Re: About your newly uploaded logsurfer to mentors.d.n
Date: Mon, 4 Jun 2012 21:13:50 +0200
Hi Aron,

thanks for your suggestions.

Am 01.06.2012 um 16:45 schrieb Aron Xu:
> I see that you've uploaded 1.8-3 to mentors.d.n, I haven't looked at
> the details but here are some suggestions:
> 
> 1.New package should close your ITP bug in debian/changelog
> 2.You need to target to unstable, but not UNRELEASED in debian/changelog
> 3.You don't need to Build-Depends on quilt in most cases.
> 4.The package hasn't been released in Debian archive, you'd better
> reuse the version 1.8-1 before it actually being accepted and
> published.

I uploaded a new version 1.8-1 that fixes all the points you mentioned.

Thanks,
Thilo




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Thilo Uttendorfer <debian@uttendorfer.net>:
Bug#670875; Package wnpp. (Tue, 05 Jun 2012 17:57:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aron Xu <happyaron.xu@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Thilo Uttendorfer <debian@uttendorfer.net>. (Tue, 05 Jun 2012 17:57:08 GMT) Full text and rfc822 format available.

Message #55 received at 670875@bugs.debian.org (full text, mbox):

From: Aron Xu <happyaron.xu@gmail.com>
To: Thilo Uttendorfer <debian@uttendorfer.net>
Cc: 670875@bugs.debian.org
Subject: Re: About your newly uploaded logsurfer to mentors.d.n
Date: Wed, 6 Jun 2012 01:55:01 +0800
Hi,

For the newly uploaded version, issues remaining:

1. debian/* are licensed under GPL-2, so your patches cannot be
directly integrated to upstream unless you re-license it. This is okay
to accept the package, but a suggestion to license at least those
patches under the same license as your upstream.

2. debian/copyright said all upstream files are licensed under a
BSD-like license, but at least the following two files are licensed
under GPL-2+: src/regex.c and src/regex.h. Please recheck all files
and document them

3. debian/rules has many template sentences from dh-make, please
remove those unnecessary ones.



-- 
Regards,
Aron Xu




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#670875; Package wnpp. (Thu, 07 Jun 2012 12:45:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thilo Uttendorfer <debian@uttendorfer.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 07 Jun 2012 12:45:20 GMT) Full text and rfc822 format available.

Message #60 received at 670875@bugs.debian.org (full text, mbox):

From: Thilo Uttendorfer <debian@uttendorfer.net>
To: Aron Xu <happyaron.xu@gmail.com>
Cc: 670875@bugs.debian.org
Subject: Re: About your newly uploaded logsurfer to mentors.d.n
Date: Thu, 7 Jun 2012 14:05:30 +0200
Am 05.06.2012 um 19:55 schrieb Aron Xu:
> For the newly uploaded version, issues remaining:
> 
> 1. debian/* are licensed under GPL-2, so your patches cannot be
> directly integrated to upstream unless you re-license it. This is okay
> to accept the package, but a suggestion to license at least those
> patches under the same license as your upstream.

I changed the license of the patches to the upstream license.


> 2. debian/copyright said all upstream files are licensed under a
> BSD-like license, but at least the following two files are licensed
> under GPL-2+: src/regex.c and src/regex.h. Please recheck all files
> and document them

Fixed. Could you have a look at "regex/regex.ps", I hope I got this
one right in debian/copyright.


> 3. debian/rules has many template sentences from dh-make, please
> remove those unnecessary ones.


Fixed.

I just uploaded the new version.

Thanks again for looking at the package!
Thilo




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Thilo Uttendorfer <debian@uttendorfer.net>:
Bug#670875; Package wnpp. (Fri, 08 Jun 2012 13:13:22 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aron Xu <happyaron.xu@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Thilo Uttendorfer <debian@uttendorfer.net>. (Fri, 08 Jun 2012 13:13:25 GMT) Full text and rfc822 format available.

Message #65 received at 670875@bugs.debian.org (full text, mbox):

From: Aron Xu <happyaron.xu@gmail.com>
To: Thilo Uttendorfer <debian@uttendorfer.net>
Cc: 670875@bugs.debian.org
Subject: Re: About your newly uploaded logsurfer to mentors.d.n
Date: Fri, 8 Jun 2012 20:45:15 +0800
Hi,

Thanks for your work! But I'm out and not able to look at those
packages untill 12th. Please do find other sponsors if you'd like to
see your package available in Wheezy!



-- 
Regards,
Aron Xu




Added blocking bug(s) of 670875: 671745 Request was from Bart Martens <bartm@quantz.debian.org> to control@bugs.debian.org. (Fri, 22 Jun 2012 15:39:55 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Thilo Uttendorfer <debian@uttendorfer.net>:
Bug#670875; Package wnpp. (Thu, 20 Sep 2012 17:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <carnil@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Thilo Uttendorfer <debian@uttendorfer.net>. (Thu, 20 Sep 2012 17:42:03 GMT) Full text and rfc822 format available.

Message #72 received at 670875@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: Thilo Uttendorfer <debian@uttendorfer.net>
Cc: Aron Xu <happyaron.xu@gmail.com>, 670875@bugs.debian.org
Subject: Re: Bug#670875: About your newly uploaded logsurfer to mentors.d.n
Date: Thu, 20 Sep 2012 19:37:57 +0200
[Message part 1 (text/plain, inline)]
Hi Thilo

I had a quick look again at your current version uploaded to
mentors.d.n.  Really thanks for your work you put into that package.
I'm adding only again some comments:

current lintian reports the following two:

W: logsurfer: hardening-no-fortify-functions usr/bin/logsurfer
N: 
N:    This package provides an ELF binary that lacks the use of fortified libc
N:    functions. Either there are no potentially unfortified functions called
N:    by any routines, all unfortified calls have already been fully validated
N:    at compile-time, or the package was not built with the default Debian
N:    compiler flags defined by dpkg-buildflags. If built using
N:    dpkg-buildflags directly, be sure to import CPPFLAGS.
N:    
N:    NB: Due to false-positives, Lintian ignores some unprotected functions
N:    (e.g. memcpy).
N:    
N:    Refer to http://wiki.debian.org/Hardening and
N:    http://bugs.debian.org/673112 for details.
N:    
N:    Severity: normal, Certainty: possible
N:    
N:    Check: binaries, Type: binary, udeb
N:

This needs patching of Makefile.in. Simply adding @CPPFLAGS@ to the
CPPFLAGS asignmend should do unless I missed something. After doing so
my resulting binary had:

foo/usr/bin/logsurfer:
 Position Independent Executable: no, normal executable!
 Stack protected: yes
 Fortify Source functions: yes (some protected functions found)
 Read-only relocations: yes
 Immediate binding: no, not found!

I: logsurfer: FSSTND-dir-in-manual-page usr/share/man/man5/logsurfer.conf.5.gz:249 /var/adm/
N: 
N:    The manual page references a directory that is specified in the FSSTND
N:    but not in the FHS which is used by Debian. This can be an indicator of
N:    a mismatch of the location of files as installed for Debian and as
N:    described by the man page.
N:    
N:    If you have to change file locations to abide by Debian Policy please
N:    also patch the man page to mention these new locations.
N:    
N:    Severity: wishlist, Certainty: certain
N:    
N:    Check: manpages, Type: binary
N:

No files are installed into the wrong directory, but looking at the
manpage logsurfer.conf(5) I see that /usr/local/etc/logsurfer.conf is
references as default configuration file. Trying to start logsurfer:

# logsurfer 
warning: logsurfer started as root
error opening configfile /usr/local/etc/logsurfer.conf
error reading configfile /usr/local/etc/logsurfer.conf

For more information on Configuration files[1], in particular see
'Location' and 'Behaviour'. Location of a default configuration file
seems configurable in the configure part.

 [1]: http://www.debian.org/doc/debian-policy/ch-files.html#s-config-files

debian/changelog: For the initial upload it is only needed to have the
'Initial release (Closes: #670875)' entry, the others as part of the
inital packaging could be removed.

Hmm, maybe would be good to actually add a README.Debian to give an
introduction on how to use logsurfer on a Debian system? How to set up
monitoring of a logfile? cronjobs? 

Hope this could help you,

Regards,
Salvatore
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#670875; Package wnpp. (Wed, 03 Oct 2012 12:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thilo Uttendorfer <debian@uttendorfer.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 03 Oct 2012 12:27:03 GMT) Full text and rfc822 format available.

Message #77 received at 670875@bugs.debian.org (full text, mbox):

From: Thilo Uttendorfer <debian@uttendorfer.net>
To: Salvatore Bonaccorso <carnil@debian.org>, 670875@bugs.debian.org
Subject: Re: Bug#670875: About your newly uploaded logsurfer to mentors.d.n
Date: Wed, 3 Oct 2012 14:19:17 +0200
Hi Salvatore,


Am 20.09.2012 um 19:37 schrieb Salvatore Bonaccorso <carnil@debian.org>:

> Hi Thilo
> 
> I had a quick look again at your current version uploaded to
> mentors.d.n.  Really thanks for your work you put into that package.
> I'm adding only again some comments:
> 
> current lintian reports the following two:
> 
> W: logsurfer: hardening-no-fortify-functions usr/bin/logsurfer
> N: 
> N:    This package provides an ELF binary that lacks the use of fortified libc
> N:    functions. Either there are no potentially unfortified functions called
> N:    by any routines, all unfortified calls have already been fully validated
> N:    at compile-time, or the package was not built with the default Debian
> N:    compiler flags defined by dpkg-buildflags. If built using
> N:    dpkg-buildflags directly, be sure to import CPPFLAGS.
> N:    
> N:    NB: Due to false-positives, Lintian ignores some unprotected functions
> N:    (e.g. memcpy).
> N:    
> N:    Refer to http://wiki.debian.org/Hardening and
> N:    http://bugs.debian.org/673112 for details.
> N:    
> N:    Severity: normal, Certainty: possible
> N:    
> N:    Check: binaries, Type: binary, udeb
> N:
> 
> This needs patching of Makefile.in. Simply adding @CPPFLAGS@ to the
> CPPFLAGS asignmend should do unless I missed something. After doing so
> my resulting binary had:
> 
> foo/usr/bin/logsurfer:
> Position Independent Executable: no, normal executable!
> Stack protected: yes
> Fortify Source functions: yes (some protected functions found)
> Read-only relocations: yes
> Immediate binding: no, not found!

Yes, that worked for me, too. I included the patch.



> I: logsurfer: FSSTND-dir-in-manual-page usr/share/man/man5/logsurfer.conf.5.gz:249 /var/adm/
> N: 
> N:    The manual page references a directory that is specified in the FSSTND
> N:    but not in the FHS which is used by Debian. This can be an indicator of
> N:    a mismatch of the location of files as installed for Debian and as
> N:    described by the man page.
> N:    
> N:    If you have to change file locations to abide by Debian Policy please
> N:    also patch the man page to mention these new locations.
> N:    
> N:    Severity: wishlist, Certainty: certain
> N:    
> N:    Check: manpages, Type: binary
> N:

While I think that lintian show this warning because of "/var/adm", I get your point.


> No files are installed into the wrong directory, but looking at the
> manpage logsurfer.conf(5) I see that /usr/local/etc/logsurfer.conf is
> references as default configuration file. Trying to start logsurfer:
> 
> # logsurfer 
> warning: logsurfer started as root
> error opening configfile /usr/local/etc/logsurfer.conf
> error reading configfile /usr/local/etc/logsurfer.conf
> 
> For more information on Configuration files[1], in particular see
> 'Location' and 'Behaviour'. Location of a default configuration file
> seems configurable in the configure part.
> 
> [1]: http://www.debian.org/doc/debian-policy/ch-files.html#s-config-files

I changed the default to /etc/logsurfer.conf. The warning about /var/adm is
still there, but I think that should be ok.


> debian/changelog: For the initial upload it is only needed to have the
> 'Initial release (Closes: #670875)' entry, the others as part of the
> inital packaging could be removed.

Fixed.


> Hmm, maybe would be good to actually add a README.Debian to give an
> introduction on how to use logsurfer on a Debian system? How to set up
> monitoring of a logfile? cronjobs? 

Yes, I thought about that as well. For now I created a small README.Debian.
But maybe it would be a good idea to include some examples like an init.d
script to start logsrufer on system boot.


> Hope this could help you,

Yes, very much! I uploaded a new version to mentors.d.n.

Thanks again,
Thilo


Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Thilo Uttendorfer <debian@uttendorfer.net>:
Bug#670875; Package wnpp. (Wed, 21 Aug 2013 13:48:56 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Thilo Uttendorfer <debian@uttendorfer.net>. (Wed, 21 Aug 2013 13:48:56 GMT) Full text and rfc822 format available.

Message #82 received at 670875@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 670875@bugs.debian.org
Cc: control@bugs.debian.org
Subject: logsurfer: changing back from ITP to RFP
Date: Wed, 21 Aug 2013 15:44:09 +0200
retitle 670875 RFP: logsurfer -- Monitoring system logs in real-time
noowner 670875
tag 670875 - pending
thanks

Hi,

A long time ago, you expressed interest in packaging logsurfer. Unfortunately,
it seems that it did not happen. In Debian, we try not to keep ITP bugs open
for a too long time, as it might cause other prospective maintainers to
refrain from packaging the software.

This is an automatic email to change the status of logsurfer back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 10 months.

If you are still interested in packaging logsurfer, please send a mail to
<control@bugs.debian.org> with:

 retitle 670875 ITP: logsurfer -- Monitoring system logs in real-time
 owner 670875 !
 thanks

It is also a good idea to document your progress on this ITP from time to
time, by mailing <670875@bugs.debian.org>.  If you need guidance on how to
package this software, please reply to this email, and/or contact the
debian-mentors@lists.debian.org mailing list.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>



Changed Bug title to 'RFP: logsurfer -- Monitoring system logs in real-time' from 'ITP: logsurfer -- Monitoring system logs in real-time' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Wed, 21 Aug 2013 13:57:27 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Thilo Uttendorfer <debian@uttendorfer.net>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Wed, 21 Aug 2013 13:57:28 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 21:18:51 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.